> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update member

> Update a member



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /revenueOrganization/members/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /revenueOrganization/members/{uuid}:
    put:
      tags:
        - Revenue Organization - Members
      summary: Update member
      description: Update a member
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Member identifier.
          required: true
          description: Member identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                meta:
                  title: Meta
                  description: Member metadata.
                  anyOf:
                    - type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  member:
                    type: object
                    properties:
                      uuid:
                        type: string
                      firstName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      lastName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      profileImage:
                        anyOf:
                          - type: string
                          - type: 'null'
                      email:
                        type: string
                      connectors:
                        type: array
                        items:
                          type: object
                          properties:
                            uuid:
                              type: string
                            userId:
                              type: string
                          required:
                            - uuid
                            - userId
                          additionalProperties: false
                      meta:
                        anyOf:
                          - type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          - type: 'null'
                      workspaceUuid:
                        type: string
                      archivedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                    required:
                      - uuid
                      - firstName
                      - lastName
                      - profileImage
                      - email
                      - connectors
                      - meta
                      - workspaceUuid
                      - archivedAt
                      - createdAt
                    additionalProperties: false
                    title: Member
                    description: Updated member details.
                required:
                  - member
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````